Loading...
Searching...
No Matches
pqxx::nullness< ENUM, std::enable_if_t< std::is_enum_v< ENUM > > > Struct Template Reference

Nullness: Enums do not have an inherent null value. More...

Inheritance diagram for pqxx::nullness< ENUM, std::enable_if_t< std::is_enum_v< ENUM > > >:
[legend]
Collaboration diagram for pqxx::nullness< ENUM, std::enable_if_t< std::is_enum_v< ENUM > > >:
[legend]

## Additional Inherited Members

Static Public Member Functions inherited from pqxx::no_null< ENUM >
static constexpr bool | is_null (ENUM const &) noexcept
| Does a given value correspond to an SQL null value?
Static Public Attributes inherited from pqxx::no_null< ENUM >
static constexpr bool | has_null
| Does `TYPE` have a "built-in null value"?
static constexpr bool | always_null
| Are all values of this type null?

## Detailed Description

template<typename ENUM>
struct pqxx::nullness< ENUM, std::enable_if_t< std::is_enum_v< ENUM > > >

Nullness: Enums do not have an inherent null value.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/strconv.hxx